sc::ISphericalTransform Class Reference

This describes a solid harmonic to Cartesian transform. More...

`#include <transform.h>`

Inheritance diagram for sc::ISphericalTransform:
[legend]
Collaboration diagram for sc::ISphericalTransform:
[legend]

## Protected Member Functions

| ISphericalTransform (int l, int subl=-1)
void | init ()
| This determines all of the components of the transformation. More...
Protected Member Functions inherited from sc::SphericalTransform
| SphericalTransform (int l, int subl=-1)
| This constructs the SphericalTransform for the given Cartesian angular momentum l and solid harmonic angular momentum subl. More...

## Additional Inherited Members

Public Member Functions inherited from sc::SphericalTransform
void | add (int a, int b, int c, double coef, int pureindex)
| Adds another SphericalTransformComponent.
int | cartindex (int i) const
| Returns the Cartesian basis function index of component i.
int | pureindex (int i) const
| Returns the solid harmonic basis function index of component i.
double | coef (int i) const
| Returns the transform coefficient of component i.
int | a (int i) const
| Returns the Cartesian basis function's x exponent of component i.
int | b (int i) const
| Returns the Cartesian basis function's y exponent of component i.
int | c (int i) const
| Returns the Cartesian basis function's z exponent of component i.
int | l () const
| Returns the angular momentum.
int | n () const
| Returns the number of components in the transformation.
virtual SphericalTransformComponent * | new_components ()=0
| This must create SphericalTransformComponent's of the appropriate specialization. More...
Protected Attributes inherited from sc::SphericalTransform
int | n_
int | l_
int | subl_
SphericalTransformComponent * | components_

## Detailed Description

This describes a solid harmonic to Cartesian transform.

## Member Function Documentation

void sc::ISphericalTransform::init | ( |  | ) |

protected virtual

This determines all of the components of the transformation.

It should be possible to implement the SphericalTransformComponent::init specialization in such a way that the default SphericalTransform::init can be used.

Reimplemented from sc::SphericalTransform.

The documentation for this class was generated from the following file:

- chemistry/qc/basis/transform.h